package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBEnvironmentUpdate entity.
 */
public class TBEnvironmentUpdateDTO implements Serializable {

    private Long id;

    private Double index;

    private Integer times;

    private Long tbEnvironmentalId;

    private String tbEnvironmentalName;

    private String tbEnvironmentalUnit;

    private String tbEnvironmentalDescription;

    private Long tbActivityId;

    private Long tbEquipmentOfCustomerId;

    private String tbEquipmentOfCustomerName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getIndex() {
        return index;
    }

    public void setIndex(Double index) {
        this.index = index;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Long getTbEnvironmentalId() {
        return tbEnvironmentalId;
    }

    public void setTbEnvironmentalId(Long tBEnvironmentalParameterId) {
        this.tbEnvironmentalId = tBEnvironmentalParameterId;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tBActivityId) {
        this.tbActivityId = tBActivityId;
    }

    public Long getTbEquipmentOfCustomerId() {
        return tbEquipmentOfCustomerId;
    }

    public void setTbEquipmentOfCustomerId(Long tbEquipmentOfCustomerId) {
        this.tbEquipmentOfCustomerId = tbEquipmentOfCustomerId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBEnvironmentUpdateDTO tBEnvironmentUpdateDTO = (TBEnvironmentUpdateDTO) o;
        if (tBEnvironmentUpdateDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBEnvironmentUpdateDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBEnvironmentUpdateDTO{" +
            "id=" + getId() +
            ", index=" + getIndex() +
            ", times=" + getTimes() +
            ", tbEnvironmental=" + getTbEnvironmentalId() +
            ", tbActivity=" + getTbActivityId() +
            ", tbEquipmentOfCustomer=" + getTbEquipmentOfCustomerId() +
            "}";
    }

    public String getTbEnvironmentalName() {
        return tbEnvironmentalName;
    }

    public void setTbEnvironmentalName(String tbEnvironmentalName) {
        this.tbEnvironmentalName = tbEnvironmentalName;
    }

    public String getTbEnvironmentalUnit() {
        return tbEnvironmentalUnit;
    }

    public void setTbEnvironmentalUnit(String tbEnvironmentalUnit) {
        this.tbEnvironmentalUnit = tbEnvironmentalUnit;
    }

    public String getTbEnvironmentalDescription() {
        return tbEnvironmentalDescription;
    }

    public void setTbEnvironmentalDescription(String tbEnvironmentalDescription) {
        this.tbEnvironmentalDescription = tbEnvironmentalDescription;
    }

    public String getTbEquipmentOfCustomerName() {
        return tbEquipmentOfCustomerName;
    }

    public void setTbEquipmentOfCustomerName(String tbEquipmentOfCustomerName) {
        this.tbEquipmentOfCustomerName = tbEquipmentOfCustomerName;
    }
}
